---
- name: install packages
  dnf:
    name: "{{ netbox__packages_postgres }}"

- name: Check postgres data directory
  stat:
    path: /var/lib/pgsql/data/PG_VERSION
  register: data_dir

- name: Init postgress data directory
  command: postgresql-setup --initdb
  when: not data_dir.stat.exists

- name: Set auth options to md5 for local connections
  postgresql_pg_hba:
    dest: /var/lib/pgsql/data/pg_hba.conf
    contype: local
    databases: netbox
    users: netbox
    method: md5
  notify:
    - restart postgres

- name: Start and run postgres
  systemd:
    name: postgresql
    enabled: yes
    state: started

# in case postgresql was already running and the config changed it must be restarted so next steps will work
- meta: flush_handlers

- name: Create database user
  postgresql_user:
    login_unix_socket: /var/run/postgresql
    name: "{{ netbox__database_username }}"
    password: "{{ netbox__database_password }}"
  no_log: yes
  become_user: postgres

- name: Create database
  postgresql_db:
    login_unix_socket: /var/run/postgresql
    name: "{{ netbox__database_name }}"
    owner: "{{ netbox__database_username }}"
    #encoding: UTF-8
    #lc_collate: en_US.UTF-8
    #lc_ctype: en_US.UTF-8
  become_user: postgres

